<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../../lang/".$lang."/".$lang.".php")) include "../../lang/".$lang."/".$lang.".php";
     else include "../../lang/ru/ru.php";

  $title=$titlepage = $TEXT['fwrd-add-title'];
  $helppage = "";

  require_once "../../config.php";
  require_once "../../util/top_layer2.php";

  if($result2['administrator'] == 0) puterror3($TEXT['error-loginform4']);

  if(empty($_POST['local_part'])) puterror3($TEXT['alias-error1']);
  if(strlen($_POST['local_part'])>65) puterror3($TEXT['alias-error2']);
  if(empty($_POST['domain'])) puterror3($TEXT['error-domain1']);
  if(strlen($_POST['domain'])>200) puterror3($TEXT['error-domain2']);
  if(empty($_POST['recipients'])) puterror3($TEXT['alias-error3']);
  if(strlen($_POST['recipients'])>2001) puterror3($TEXT['alias-error4']);

  if(isset($_POST['local_part'])) $local_part=trim($_POST['local_part']);
    else $local_part="";
     if (empty($local_part)) puterror3($TEXT['alias-error5']);

  if(isset($_POST['domain'])) $domain=trim($_POST['domain']);
    else $domain="";
     if (empty($domain)) puterror3($TEXT['error-domain3']);

  if(isset($_POST['recipients'])) $recipients=trim($_POST['recipients']);
    else $recipients="";
     if (empty($recipients)) puterror3($TEXT['alias-error6']);

  $_POST['local_part'] = rep($_POST['local_part']);
  $_POST['domain'] = rep($_POST['domain']);
  $_POST['recipients'] = rep($_POST['recipients']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-fwrd-add'];
  $what = $_POST['local_part']."@".$_POST['domain']." => ".$_POST['recipients'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `userforward` ( `local_part` , `domain` , `recipients` ) VALUES ('".$_POST['local_part']."', '".$_POST['domain']."', '".$_POST['recipients']."')";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror3($TEXT['error-log']);
  } else puterror3($TEXT['error-tbl33']);
  require_once "../../util/bottom.php";
?>
